Arawa Mail Arawa MailDocs

Retrieve Email

Retrieve a sent email by id.

GET /emails/{id}

Example

curl "https://app.arawamail.com/emails/49a3999c-0ce1-4ea6-ab68-afcd6dc2e794" \
  -H "Authorization: Bearer your_api_key"

Response

{
  "object": "email",
  "id": "49a3999c-0ce1-4ea6-ab68-afcd6dc2e794",
  "from": "Acme <[email protected]>",
  "to": ["[email protected]"],
  "cc": [],
  "bcc": [],
  "reply_to": null,
  "subject": "Hello world",
  "html": "<p>It works from Arawa Mail.</p>",
  "text": "It works from Arawa Mail.",
  "created_at": "2026-07-04T13:00:00+00:00",
  "last_event": "sent"
}

Path Parameters

Parameter Type Required Description
id string Yes The id returned by POST /emails.

Not Found

If the email cannot be found in the sent folder, the API returns:

{
  "statusCode": 404,
  "message": "Email not found",
  "name": "not_found"
}